Bug 13456 - Serials/Claims.t expects no subscriptions
Summary: Serials/Claims.t expects no subscriptions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-12 21:31 UTC by M. Tompsett
Modified: 2016-06-21 21:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13456: Serials/Claims.t expects no subscriptions (1.01 KB, patch)
2014-12-12 21:35 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13456: Serials/Claims.t expects no subscriptions (1.10 KB, patch)
2014-12-17 11:18 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 13456: Serials/Claims.t expects no subscriptions (1.11 KB, patch)
2014-12-19 10:12 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2014-12-12 21:31:19 UTC
Running prove t/db_dependent/Serials/Claims.t on any system with late subscriptions is going to trigger a failure. Temporary delete the subscriptions for testing purposes, and then rollback.
Comment 1 M. Tompsett 2014-12-12 21:35:54 UTC Comment hidden (obsolete)
Comment 2 Paola Rossi 2014-12-17 11:18:00 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-12-19 10:12:01 UTC
Created attachment 34525 [details] [review]
Bug 13456: Serials/Claims.t expects no subscriptions

However, this is an unreasonable assumption for a system which
is in use (either lots of testing or production).

TEST PLAN
---------
1) Have a supplier with a late subscription.
2) prove t/db_dependent/Serials/Claims.t
   -- will fail
3) apply patch
4) prove t/db_dependent/Serials/Claims.t
   -- success
5) run koha qa test tools

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Tomás Cohen Arazi 2014-12-19 21:01:15 UTC
Patch pushed to master.

Thanks Mark!
Comment 5 M. Tompsett 2014-12-19 21:33:55 UTC
(In reply to Paola Rossi from comment #2)
[SNIP]
> Processing files before patches
> |========================>| 1 / 1 (100.00%)
> Processing files after patches
> |========================>| 1 / 1 (100.00%)
[SNIP]

Thanks to Paola Possi for making me check if there were updates to the QA test tool!
Comment 6 Chris Cormack 2014-12-19 23:55:44 UTC
Pushed to 3.18.x, will be in 3.18.2